<?php
//【重要】このファイル「ayanasu_cnf.php」はログイン画面が起動した後に必ずサーバー上から削除して下さい。（認証情報漏洩防止）
//「ayanasu_cnf.php」はロカル側（アップロード元のパソコン）で削除しなければ後で認証情報の確認や再設定時に使用できます。

//設定項目↓-------------------------
//「ayanasu_ID」と「ayanasu_pass」と「AYANASU」の部分を削除して「半角英数-_」の文字列で希望のものに変更して下さい。
   $a_id = "ayanasu_ID";
   $a_pass = "ayanasu_pass";
   $a_salt = "AYANASU";
//設定終了↑-------------------------


//以下改変不要-----------------------

  $path_t1 = "./thema";
  $filePerms_t1 = substr(sprintf('%o', fileperms($path_t1)), -4);
  if(is_writable($path_t1)){
  $output1 = "";
  $chec1 = "1";
  }else{
  $output1 = "<br><font color=red>ディレクトリ「thema」のパーミッションを「707」に変更して下さい。</font><br>修正後にブラウザの更新ボタンをクリックして下さい。<br>";
  }

  $path_t2 = "./thema/thema.php";
  $filePerms_t2 = substr(sprintf('%o', fileperms($path_t1)), -4);
  if(is_writable($path_t1)){
  $output2 = "";
  $chec2 = "1";
  }else{
  $output2 = "<font color=red>ディレクトリ「thema」内のテーマに関連するファイルのパーミッションを「606」または「666」に変更して下さい。</font><br>修正後にブラウザの更新ボタンをクリックして下さい。<br>";
  }

  $path_c1 = "./content";
  $filePerms_c1 = substr(sprintf('%o', fileperms($path_c1)), -4);
  if(is_writable($path_c1)){
  $output3 = "";
  $chec3 = "1";
  }else{
  $output3 = "<font color=red>ディレクトリ「content」のパーミッションを「707」に変更して下さい。</font><br>修正後にブラウザの更新ボタンをクリックして下さい。<br>";
  }

  $path_c2 = "./content/index.php";
  $path_c3 = "./content/index.inc";
  $filePerms_c2 = substr(sprintf('%o', fileperms($path_c2)), -4);
  $filePerms_c3 = substr(sprintf('%o', fileperms($path_c3)), -4);
  if(is_writable($path_c2) and is_writable($path_c3)){
  $output4 = "";
  $chec4 = "1";
  }else{
  $output4 = "<font color=red>ディレクトリ「content」内の「index.php」と「inde.inc」のパーミッションを「606」または「666」に変更して下さい。</font><br>修正後にブラウザの更新ボタンをクリックして下さい。<br>";
  }

  $path3 = "./ayanasu_fosh";
  $filePerms3 = substr(sprintf('%o', fileperms($path3)), -3);
  if(is_writable($path3)){
  $chec5 = "1";
  }else{
  $output5 = "<font color=red>ディレクトリ「ayanasu_fosh」のパーミッションを「707」に変更して下さい。</font><br>(現在のパーミッション/ayanasu_fosh：{$filePerms3})<br>修正後にブラウザの更新ボタンをクリックして下さい。<br>";
  }

  if($chec1 == "1" and $chec2 == "1" and $chec3 == "1" and $chec4 == "1" and $chec5 == "1"){

function makeA1($a_id,$a_pass,$a_salt){return hash('sha256', $a_id .":" .$a_salt .":" .$a_pass);}
$A1=makeA1($a_id,$a_pass,$a_salt);

  $export = <<<KOEY
<?php
\$KOEY_salt = '$a_salt';
\$HASH1= '$A1';
\$AYANASU_fosh['AYANASU_ID']=\$AYANASU_ID;
\$AYANASU_fosh['HASH1']=\$HASH1;
\$sha_pass = \$_POST['AYANASU_PASS'];
?>
KOEY;

  $file = './ayanasu_fosh/fosh.inc';
  file_put_contents($file,$export,LOCK_EX);
  $output6 = "<br><br><font color=blue>おめでとうございます！　「AYANASU glob」のご利用準備が完了いたしました。</font><br>";
  $output7 = "<br><br>【重要】正常にログインすることが確認できた後に、当ファイル「ayanasu_cnf.php」をサーバー上から削除して下さい。<br><br><a href=\"login.php\">こちらよりログインをお願いいたします。</a>";
  }else{
  $output8 = <<<EOD
<br><br>各ファイルのパーミッションを変更された後に、サーバーの自動応答メッセージでエラーが表示された場合について。<br><br>
次のディレクトリのパーミションを「707」に変更し、再度、ブラウザの更新ボタンをクリックしてください。<br><br>
EOD;
  $output8 = "";
  }

?>
<html lang="ja" xml:lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Content-Style-Type" content="text/css">
<meta name="ROBOTS" content="NOINDEX">
<title>初期設定</title>
</head>
<body>
<br>
　　【サーバー内のディレクトリとファイルの設定について検証いたします。】
<br><br><br>
<?php
 print $output1;
 print $output2;
 print $output3;
 print $output4;
 print $output5;
 print $output6;
 print $output7;

?>
</body>
</html>
